> ## Documentation Index
> Fetch the complete documentation index at: https://skulabs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Item - Update

> Update an existing item's properties such as name, weight, dimensions, or cost.



## OpenAPI

````yaml put /item/update
openapi: 3.0.3
info:
  title: SKULabs API
  description: >-
    Most API keys have "platformGeneric" and "platformApi" scopes included.
    Contact us to convert more routes from "platformUser" (only available to
    users) to "platformGeneric" (available to users and api keys) upon request.
  version: 4.5.0
servers:
  - url: https://api.skulabs.com
  - url: https://app.skulabs.com/s
security: []
tags:
  - name: batch
  - name: customer
    description: Manage customers, tags, and notes
  - name: cycle_count
  - name: distributor
  - name: inventory
    description: Query and modify inventory levels across locations
  - name: inventory_table
  - name: item
    description: Manage items, barcodes, serial numbers, and tags
  - name: kit
    description: Manage kits and their component items
  - name: listing
  - name: location
  - name: oauth
  - name: order
    description: Manage orders, shipments, tags, and statuses
  - name: purchase_order
    description: Manage purchase orders and receiving
  - name: run
  - name: shipments
  - name: shipping
  - name: store
  - name: tag
    description: Create, update, and remove tags
  - name: transfer_order
  - name: warehouse
    description: Manage warehouses and view statistics
  - name: webhook
    description: Manage webhook handlers
paths:
  /item/update:
    put:
      tags:
        - item
      summary: Item - Update
      description: >-
        Update an existing item's properties such as name, weight, dimensions,
        or cost.
      operationId: put_item_update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                item_id:
                  type: string
                  description: Item ID to update
                name:
                  type: string
                  description: Item name
                sku:
                  type: string
                  description: SKU
                upc:
                  type: string
                  description: UPC barcode
                weight:
                  type: number
                  description: Weight
                weight_unit:
                  type: string
                  enum:
                    - oz
                    - lb
                    - g
                    - kg
                  description: Weight unit
                length:
                  type: number
                  description: Length
                width:
                  type: number
                  description: Width
                height:
                  type: number
                  description: Height
                dimensions_unit:
                  type: string
                  enum:
                    - in
                    - cm
                  description: Dimensions unit
                fulfillment_sku:
                  type: string
                  description: Fulfillment SKU
                notes:
                  type: string
                  description: Notes
                unit:
                  type: string
                  description: Unit of measure
                cost:
                  type: number
                  description: Cost
                wholesale:
                  type: number
                  description: Wholesale price
                retail:
                  type: number
                  description: Retail price
                image:
                  type: string
                  description: Image URL
                active:
                  type: boolean
                  description: Active status
                description:
                  type: string
                  description: Item description
                sale:
                  type: number
                  description: Sale price
              required:
                - item_id
      responses:
        '200':
          description: Item updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the operation succeeded
                  _id:
                    type: string
                    description: Item ID
                    example: 507f1f77bcf86cd799439011
                  sku:
                    type: string
                    description: Item SKU
                  notice:
                    type: string
                    description: Additional notice (e.g. kit cost update issue)
                required:
                  - success
                  - _id
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '403':
          description: Forbidden. Insufficient permissions.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '429':
          description: Too many requests. Rate limit exceeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Detailed error message
                      code:
                        type: string
                        description: Machine-readable error code
                      overview:
                        type: string
                        description: Short human-friendly description
                      statusCode:
                        type: number
                        description: HTTP status code
                      origin:
                        type: string
                        description: Error source
                      skulabsTraceId:
                        type: string
                        description: Trace ID for support
                      type:
                        type: string
                        enum:
                          - error
                          - notice
                          - success
                        description: Error severity for UI handling
                      user_error:
                        type: boolean
                        description: Whether the error was caused by user input
                      display:
                        type: string
                        enum:
                          - notification
                          - panel
                        description: Suggested UI display mode for the error
                    required:
                      - message
                      - statusCode
                required:
                  - error
      security:
        - SKULabsToken: []
      servers:
        - url: https://api.skulabs.com
components:
  securitySchemes:
    SKULabsToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````